<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"

	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
    xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
    
    xmlns:lxslt="http://xml.apache.org/xslt"
    xmlns:result="http://www.example.com/results"
    xmlns:exsl="http://exslt.org/common"

	extension-element-prefixes="java util result exsl"
	exclude-result-prefixes="util java util">

	
	<!-- the main layout is defined here -->
	<xsl:template name="mainTemplate">
<!--
				<xsl:variable name="pjbaseurl">
					<xsl:text>interfaces/</xsl:text>
					<xsl:value-of select="$interface_name"/>
					<xsl:text>/wrapper-style</xsl:text>	
				</xsl:variable>
				<xsl:variable name="pjextbaseurl">
					<xsl:text>http://peitehurinuijones.co.nz</xsl:text>
				</xsl:variable>
-->

		<html>

			<head>
				<!-- ***** in header.xsl ***** -->
				<xsl:call-template name="create-html-header"/>
			</head>
			
			<body><xsl:call-template name="textDirectionAttribute"/><xsl:call-template name="actionClass"/>
				
				<!--<xsl:call-template name="displayErrorsIfAny"/>-->
				<a name="top"><xsl:text> </xsl:text></a>
				
<!-- Wrapper header start -->
<div id="wrapper-container">

<div id="header">

  <style>
    img.hover-highlight:hover {
        opacity: .8; 
	/* filter: brightness(120%); */
    }
  </style>
  <div class="headLeft"><a href="{$library_name}" title="Ātea - Home"><img class="hover-highlight" src="interfaces/{$interface_name}/images/Atea-logo.png" width="270" height="104" alt="Ātea - Home" /></a></div>
  <div class="headRight">

    <!--
	<a href="{$library_name}" title="Ātea - Home">Home</a>
	-->
    <!--
	<a href="{$pjextbaseurl}/about.html" title="About">About</a>
	<a href="{$pjextbaseurl}/contact.html" title="Contact">Contact</a>
	-->
        <xsl:call-template name="home-help-preferences"/>

  </div>
</div>
<!-- Wrapper header end -->

				<div id="topArea" class="ui-state-default ui-corner-top">
	<xsl:comment>Place-holder to stop div collapsing</xsl:comment>
				</div>
				


<!-- nav start -->
<div id="nav">
	<!-- previously, e.g.: href="{$url}/wrapper-style/research.html" title="Research" -->
	<!-- then            : href="{$pjbaseurl}/research.html" title="Research" -->
	<!--
  <ul>
   <li><a href="http://{$pjbaseurl}/bio.html" title="Bio">Bio</a></li>
< ! - -   <li><a href="{$library_name}/collection/digital-library/page/about/" title="Digital library">Digital library</a></li> - - >
   <li><a href="{$library_name}/collection/written-works/page/about/" title="Written works">Written works</a></li> 
    <li><a href="{$library_name}/collection/gallery/page/about/" title="Gallery">Gallery</a></li>
   <li><a href="{$library_name}/collection/taonga/page/about/" title="Taonga">Taonga</a></li>
   <li><a href="{$pjextbaseurl}/research.html" title="Research">Research</a></li>
   </ul>
	-->

	<ul>
	  <li> </li>
	</ul>
</div>
<!-- nav end -->


				<div id="container" class="ui-corner-all">

					<!-- ***** in header.xsl ***** -->
					<xsl:call-template name="create-banner"/>
					
					<xsl:if test="/page/pageRequest/paramList/param[(@name='formatedit') and (@value='on')]">
						<xsl:call-template name="formatmanagerpre"/>
					</xsl:if>
    
					<div id="gs_content" class="ui-widget-content">
						<!--
							show the content of the page.
							to customise this part, edit the xsl file for the page you want to edit
						-->
						<xsl:apply-templates select="/page"/>

					</div>

					<xsl:call-template name="gs_footer"/>
				</div>
</div>
<!-- Wrapper container end -->

			</body>
		</html>
	</xsl:template>

</xsl:stylesheet>
